#ifndef HOMPYBUTTON_H
#define HOMPYBUTTON_H

#include "shapewidget.h"
#include <qlistview.h>

class HompyButton : public ShapeButton
{
    Q_OBJECT
private:
    QListViewItem* listViewItem_;

public:
    HompyButton(QWidget* parent,const QString& iname, long tcol=-1);
    QListViewItem* listViewItem() { return listViewItem_; }
    void setListViewItem(QListViewItem* item) { listViewItem_ = item; }

signals: 
    void gotoHompy(QListViewItem*);

protected slots:
    void clickedThis();
};

#endif
